#include <stdio.h>
#include <stdlib.h>

int main()
{
	long long a,b,c,ca,cb,cc,t,max,ta,tb,tc;
	int i,n;

	scanf("%lld%lld%lld",&a,&b,&c);
	ca=a; cb=b; cc=c; max=0;
	
	for(t=1;ca>=10;t++)
	 ca=ca/10;
	ta=t;
	if (t>max) max=t;
	
	for(t=1;cb>=10;t++)
	 cb=cb/10;
	tb=t;
	if (t>max) max=t;
	
	for(t=1;cc>=10;t++)
	 cc=cc/10;
	tc=t;
	if (t>max) max=t;
	
	ca=a; cb=b; cc=c;
	for(i=0;i<(max-ta);i++)
		ca=ca*10;

	for(i=0;i<(max-tb);i++)
		cb=cb*10;

	for(i=0;i<(max-tc);i++)
		cc=cc*10;
	
	if (cc>ca && cc>cb)
		if (ca>cb) printf("%lld%lld%lld",c,a,b); 
		else if (cb>ca) printf("%lld%lld%lld",c,b,a);
		 else if (b>a) printf("%lld%lld%lld",c,a,b);
		 else printf("%lld%lld%lld",c,b,a);
   
	if (cb>ca && cb>cc)
		if (ca>cc) printf("%lld%lld%lld",b,a,c); 
		else if (cc>ca) printf("%lld%lld%lld",b,c,a);
		 else if (c>a) printf("%lld%lld%lld",b,a,c);
		 else printf("%lld%lld%lld",b,a,c);
    
	if (ca>cc && ca>cb)
		if (cc>cb) printf("%lld%lld%lld",a,c,b); 
		else if (cb>cc)printf("%lld%lld%lld",a,b,c); 
	      else if (c>b) printf("%lld%lld%lld",a,b,c);
		   else printf("%lld%lld%lld",a,c,b);

    if(ca==cb && ca==cc)
	{
		if (c>a && c>b) 
			if (a>b) printf("%lld%lld%lld",b,a,c); 
			else printf("%lld%lld%lld",a,b,c);
        
        if (b>a && b>c) 
			if (c>a) printf("%lld%lld%lld",a,c,b); 
			else printf("%lld%lld%lld",c,a,b);

          if (a>b && a>c) 
			if (c>b) printf("%lld%lld%lld",b,c,a); 
			else printf("%lld%lld%lld",c,b,a);
	}

	if (c==a && c==b)  printf("%lld%lld%lld",b,a,c);


}